Opened 2 years ago

Closed 2 years ago

#56173 closed defect (wontfix)

QupZilla @2.2.6 (www) fails to build

Reported by: willbprog127 (Will Brokenbourgh) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.4.2
Keywords: Cc:
Port: QupZilla

Description

When performing sudo port install QupZilla, it emits an error and fails.

--->  Computing dependencies for QupZilla
The following dependencies will be installed: 
 libmng
 py27-ply
 qt55-qtbase
 qt55-qtdeclarative
 qt55-qtgraphicaleffects
 qt55-qtlocation
 qt55-qtquickcontrols
 qt55-qtserialport
 qt55-qtsvg
 qt55-qttools
 qt55-qtwebchannel
 qt55-qtwebengine
 qt55-qtwebsockets
 qt55-qtxmlpatterns
 qt55-sqlite-plugin
Continue? [Y/n]: y
--->  Fetching archive for libmng
--->  Attempting to fetch libmng-2.0.3_0.darwin_10.x86_64.tbz2 from http://sea.us.packages.macports.org/macports/packages/libmng
--->  Attempting to fetch libmng-2.0.3_0.darwin_10.x86_64.tbz2.rmd160 from http://sea.us.packages.macports.org/macports/packages/libmng
--->  Installing libmng @2.0.3_0
--->  Activating libmng @2.0.3_0
--->  Cleaning libmng
--->  Fetching archive for qt55-qtbase
--->  Attempting to fetch qt55-qtbase-5.5.1_12+openssl.darwin_10.x86_64.tbz2 from http://sea.us.packages.macports.org/macports/packages/qt55-qtbase
--->  Attempting to fetch qt55-qtbase-5.5.1_12+openssl.darwin_10.x86_64.tbz2 from https://packages.macports.org/qt55-qtbase
--->  Attempting to fetch qt55-qtbase-5.5.1_12+openssl.darwin_10.x86_64.tbz2 from http://ywg.ca.packages.macports.org/mirror/macports/packages/qt55-qtbase
--->  Fetching distfiles for qt55-qtbase
Error: qt55-qtbase requires OS X 10.7 or later
Error: Failed to fetch qt55-qtbase: incompatible OS version
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt55/qt55-qtbase/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port QupZilla failed

MacPorts 2.4.2 OS X 10.6.8 on Intel iMac

Attachments (2)

main.log (113.4 KB) - added by willbprog127 (Will Brokenbourgh) 2 years ago.
main.2.log (4.0 KB) - added by willbprog127 (Will Brokenbourgh) 2 years ago.

Download all attachments as: .zip

Change History (7)

Changed 2 years ago by willbprog127 (Will Brokenbourgh)

Attachment: main.log added

Changed 2 years ago by willbprog127 (Will Brokenbourgh)

Attachment: main.2.log added

comment:1 Changed 2 years ago by Schamschula (Marius Schamschula)

Port: @2.2.6 (www) removed

Mac OS X 10.6.8 on Intel iMac is too old. The error message says Error: qt55-qtbase requires OS X 10.7 or later

comment:2 Changed 2 years ago by mf2k (Frank Schima)

Owner: set to ryandesign
Status: newassigned

In the future, please Cc the port maintainer(s) (port info --maintainers QupZilla), if any.

comment:3 in reply to:  2 Changed 2 years ago by willbprog127 (Will Brokenbourgh)

Replying to mf2k:

In the future, please Cc the port maintainer(s) (port info --maintainers QupZilla), if any.

Sorry for messing up.

You can close this. I have removed MacPorts because too many ports won't build on my system.

Thanks anyway!

comment:4 Changed 2 years ago by kencu (Ken)

Well, clearly a won't fix, as it can't be fixed. qt5 is not compatible with 10.6 or less.

comment:5 Changed 2 years ago by kencu (Ken)

Resolution: wontfix
Status: assignedclosed
Note: See TracTickets for help on using tickets.